apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "William A. Rowe, Jr." <wr...@rowe-clan.net>
Subject Re: svn commit: r105961 - apr/apr-util/trunk
Date Sun, 21 Nov 2004 18:11:22 GMT
At 07:41 AM 11/21/2004, Max Bowsher wrote:
>>Author: jorton
>>Date: Sat Nov 20 05:17:18 2004
>>New Revision: 105961
>>Modified:
>>  apr/apr-util/trunk/CHANGES
>>  apr/apr-util/trunk/Makefile.in
>>  apr/apr-util/trunk/configure.in
>>Log:
>>Link libaprutil against the libraries on which it depends (dropping
>>support for libtool 1.3):
>>* configure.in: Remove EXTRA_OS_LINK export.
>>* Makefile.in: Link target against APRUTIL_LIBS.
>>PR: 11122
>
>Could this be backported to 0.9.x, please?

Most unlikely, as we supported libtool 1.3 throughout apr 0.9.

More likely, we add a disclaimer with 1.x.x releases proclaiming 
'you must use libtool 1.4'.  I don't believe 1.x.x has been around
long enough for this to affect end users.  (Developers, yes, but
I don't worry nearly as much about them.)

Offer up a patch that doesn't break libtool 1.3 and I'd review.

Bill


Mime
View raw message